org.eclipse.net4j.util.concurrent

## Class TrackableTimerTask

- java.lang.Object
- - java.util.TimerTask
  - - org.eclipse.net4j.util.concurrent.TrackableTimerTask

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    AbstractMonitor.AsyncTimerTask

      public abstract class TrackableTimerTask
      extends TimerTask

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `TRACK_TIMER_TASKS` The boolean value of the system property `org.eclipse.net4j.util.concurrent.TrackTimerTasks`.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrackableTimerTask()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel()`
    `static Collection<Exception>` | `getConstructionStackTraces(long minLifeTimeMillis)`
    `static void` | `logConstructionStackTraces(long minLifeTimeMillis)`

    - ### Methods inherited from class java.util.TimerTask

      `run, scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRACK_TIMER_TASKS

          public static final boolean TRACK_TIMER_TASKS

      The boolean value of the system property `org.eclipse.net4j.util.concurrent.TrackTimerTasks`.

  - ### Constructor Detail

    - #### TrackableTimerTask

          protected TrackableTimerTask()

  - ### Method Detail

    - #### cancel

          public boolean cancel()

      Overrides:
        `cancel` in class `TimerTask`

    - #### getConstructionStackTraces

          public static Collection<Exception> getConstructionStackTraces(long minLifeTimeMillis)

    - #### logConstructionStackTraces

          public static void logConstructionStackTraces(long minLifeTimeMillis)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html